VULKAN_HPP_NAMESPACE::ExportMemoryAllocateInfo Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::ExportMemoryAllocateInfo:
[legend]

## Public Member Functions

| ExportMemoryAllocateInfo (ExternalMemoryHandleTypeFlags handleTypes_=ExternalMemoryHandleTypeFlags())
| ExportMemoryAllocateInfo (VkExportMemoryAllocateInfo const &rhs)
ExportMemoryAllocateInfo & | operator= (VkExportMemoryAllocateInfo const &rhs)
ExportMemoryAllocateInfo & | setPNext (const void *pNext_)
ExportMemoryAllocateInfo & | setHandleTypes (ExternalMemoryHandleTypeFlags handleTypes_)
| operator VkExportMemoryAllocateInfo const & () const
| operator VkExportMemoryAllocateInfo & ()
bool | operator== (ExportMemoryAllocateInfo const &rhs) const
bool | operator!= (ExportMemoryAllocateInfo const &rhs) const

## Data Fields

const void * | pNext = nullptr
ExternalMemoryHandleTypeFlags | handleTypes

## Private Attributes

StructureType | sType = StructureType::eExportMemoryAllocateInfo

## Detailed Description

Definition at line 31847 of file vulkan.hpp.

## Constructor & Destructor Documentation

## ExportMemoryAllocateInfo() [1/2]

VULKAN_HPP_NAMESPACE::ExportMemoryAllocateInfo::ExportMemoryAllocateInfo | ( | ExternalMemoryHandleTypeFlags | handleTypes_ = `ExternalMemoryHandleTypeFlags()` | ) |

inline

Definition at line 31849 of file vulkan.hpp.

: handleTypes( handleTypes_ )
{
}

## ExportMemoryAllocateInfo() [2/2]

VULKAN_HPP_NAMESPACE::ExportMemoryAllocateInfo::ExportMemoryAllocateInfo | ( | VkExportMemoryAllocateInfo const & | rhs | ) |

inline

Definition at line 31854 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ExportMemoryAllocateInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkExportMemoryAllocateInfo &()

VULKAN_HPP_NAMESPACE::ExportMemoryAllocateInfo::operator VkExportMemoryAllocateInfo & | ( |  | ) |

inline

Definition at line 31881 of file vulkan.hpp.

{
return *reinterpret_cast<VkExportMemoryAllocateInfo*>(this);
}

## operator VkExportMemoryAllocateInfo const &()

VULKAN_HPP_NAMESPACE::ExportMemoryAllocateInfo::operator VkExportMemoryAllocateInfo const & | ( |  | ) | const

inline

Definition at line 31876 of file vulkan.hpp.

{
return *reinterpret_cast<const VkExportMemoryAllocateInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::ExportMemoryAllocateInfo::operator!= | ( | ExportMemoryAllocateInfo const & | rhs | ) | const

inline

Definition at line 31893 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

ExportMemoryAllocateInfo& VULKAN_HPP_NAMESPACE::ExportMemoryAllocateInfo::operator= | ( | VkExportMemoryAllocateInfo const & | rhs | ) |

inline

Definition at line 31859 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ExportMemoryAllocateInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::ExportMemoryAllocateInfo::operator== | ( | ExportMemoryAllocateInfo const & | rhs | ) | const

inline

Definition at line 31886 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( handleTypes == rhs.handleTypes );
}

References handleTypes, pNext, and sType.

Referenced by operator!=().

## setHandleTypes()

ExportMemoryAllocateInfo& VULKAN_HPP_NAMESPACE::ExportMemoryAllocateInfo::setHandleTypes | ( | ExternalMemoryHandleTypeFlags | handleTypes_ | ) |

inline

Definition at line 31870 of file vulkan.hpp.

{
handleTypes = handleTypes_;
return *this;
}

References handleTypes.

## setPNext()

ExportMemoryAllocateInfo& VULKAN_HPP_NAMESPACE::ExportMemoryAllocateInfo::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 31864 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## handleTypes

ExternalMemoryHandleTypeFlags VULKAN_HPP_NAMESPACE::ExportMemoryAllocateInfo::handleTypes

Definition at line 31903 of file vulkan.hpp.

Referenced by operator==(), and setHandleTypes().

## pNext

const void* VULKAN_HPP_NAMESPACE::ExportMemoryAllocateInfo::pNext = nullptr

Definition at line 31902 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::ExportMemoryAllocateInfo::sType = StructureType::eExportMemoryAllocateInfo

private

Definition at line 31899 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::ExportMemoryAllocateInfo::ExportMemoryAllocateInfo
ExportMemoryAllocateInfo(ExternalMemoryHandleTypeFlags handleTypes_=ExternalMemoryHandleTypeFlags())
Definition: vulkan.hpp:31849
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::ExportMemoryAllocateInfo::sType
StructureType sType
Definition: vulkan.hpp:31899
VULKAN_HPP_NAMESPACE::ExportMemoryAllocateInfo::handleTypes
ExternalMemoryHandleTypeFlags handleTypes
Definition: vulkan.hpp:31903
VULKAN_HPP_NAMESPACE::ExportMemoryAllocateInfo::pNext
const void * pNext
Definition: vulkan.hpp:31902
VkExportMemoryAllocateInfo
Definition: vulkan_core.h:4423
VULKAN_HPP_NAMESPACE::ExportMemoryAllocateInfo::operator==
bool operator==(ExportMemoryAllocateInfo const &rhs) const
Definition: vulkan.hpp:31886